## Interface IFeedContentProvider

Description

IFeedContentProvider interface.

IFeedContentProvider interface must be implemented by a feed class who provides feed content.

- since: 3.1
- author: Qiang Xue <qiang.xue@gmail.com>
- author: Knut Urdalen <knut.urdalen@gmail.com>

Located in /Web/Services/TFeedService.php (line 120)

Method Summary
string getContentType ()
string getFeedContent ()
void init (TXmlElement $config)
Methods
getContentType (line 143)

Sets the content type of the feed content to be sent.

Some examples are: RSS 1.0 feed: application/rdf+xml RSS 2.0 feed: application/rss+xml or application/xml or text/xml ATOM feed: application/atom+xml

- return: the content type for the feed content.
- access: public
- since: 3.1.1

string getContentType ()
getFeedContent (line 133)

- return: feed content in proper XML format
- access: public

string getFeedContent ()
init (line 129)

Initializes the feed content provider.

This method is invoked (before getFeedContent) when the feed provider is requested by a user.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: configurations specified within the &lt;feed&gt; element corresponding to this feed provider when configuring TFeedService.

Documentation generated on Mon, 21 Apr 2008 11:35:02 -0400 by phpDocumentor 1.3.0RC4